Bug 1729261 (CVE-2019-10199) - CVE-2019-10199 keycloak: CSRF check missing in My Resources functionality in the Account Console
Summary: CVE-2019-10199 keycloak: CSRF check missing in My Resources functionality in ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-10199
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1728913
TreeView+ depends on / blocked
 
Reported: 2019-07-11 17:24 UTC by Laura Pardo
Modified: 2020-01-22 22:32 UTC (History)
34 users (show)

Fixed In Version: keycloak 7.0.0
Doc Type: If docs needed, set a value
Doc Text:
It was found that Keycloak's account console did not perform adequate header checks in some requests. An attacker could use this flaw to trick an authenticated user into performing operations via request from an untrusted domain.
Clone Of:
Environment:
Last Closed: 2019-08-13 20:47:10 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2483 None None None 2019-08-13 20:27:00 UTC

Description Laura Pardo 2019-07-11 17:24:48 UTC
A vulnerability was found in keycloak. A CSRF attack can be performed in My Resources functionality in the Account Console. The attacker can trick the user to perform operations by using social engineering or any other mean that can result in a request to Keycloak from an untrusted domain.


References:
https://issues.jboss.org/browse/KEYCLOAK-10775

Comment 5 errata-xmlrpc 2019-08-13 20:26:59 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.3.3 zip

Via RHSA-2019:2483 https://access.redhat.com/errata/RHSA-2019:2483

Comment 6 Product Security DevOps Team 2019-08-13 20:47:10 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-10199


Note You need to log in before you can comment on or make changes to this bug.